package cn.com.ctop.crawler.modules.music.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 音乐信息
 * @author jeecg-boot
 * @date   2020-10-28
 * @version V1.0
 */
@Data
@TableName("ctop_music_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_music_info对象", description="音乐信息")
public class BytedanceMusicInfo {

	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**name*/
	@Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
	private String name;
	/**author*/
	@Excel(name = "author", width = 15)
    @ApiModelProperty(value = "author")
	private String author;
	/**usedCount*/
	@Excel(name = "usedCount", width = 15)
    @ApiModelProperty(value = "usedCount")
	private Integer usedCount;
	/**musicUrl*/
	@Excel(name = "musicUrl", width = 15)
    @ApiModelProperty(value = "musicUrl")
	private String musicUrl;
	/**coverUrl*/
	@Excel(name = "coverUrl", width = 15)
    @ApiModelProperty(value = "coverUrl")
	private String coverUrl;
	/**duration*/
	@Excel(name = "duration", width = 15)
    @ApiModelProperty(value = "duration")
	private Integer duration;
	/**source*/
	@Excel(name = "source", width = 15)
    @ApiModelProperty(value = "source")
	private String source;
	/**extId*/
	@Excel(name = "extId", width = 15)
    @ApiModelProperty(value = "extId")
	private String extId;
	/**extInfo*/
	@Excel(name = "extInfo", width = 15)
    @ApiModelProperty(value = "extInfo")
	private Object extInfo;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
